> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Random Hex

> Generate random hexadecimal string(s).



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/random/hex
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/random/hex:
    get:
      tags:
        - Random Generators
      summary: Random Hex
      description: Generate random hexadecimal string(s).
      operationId: random_hex_v1_random_hex_get
      parameters:
        - name: length
          in: query
          required: false
          schema:
            type: integer
            maximum: 256
            minimum: 1
            description: Number of hex characters
            default: 8
            title: Length
          description: Number of hex characters
        - name: uppercase
          in: query
          required: false
          schema:
            type: boolean
            description: Use uppercase letters
            default: false
            title: Uppercase
          description: Use uppercase letters
        - name: prefix
          in: query
          required: false
          schema:
            type: boolean
            description: Include 0x prefix
            default: false
            title: Prefix
          description: Include 0x prefix
        - name: count
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of hex strings to generate
            default: 1
            title: Count
          description: Number of hex strings to generate
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````